--- title: "Get automatic export settings" slug: "analytics-cloudloganalytics-getexportconfigs" tags: ["Cloud Log Analytics"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-getexportconfigs" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get automatic export settings Available in Classic and VPC Get the history of automatic export settings for logs retrieved from the Cloud Log Analytics service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/{regionCode}-v1/export/config | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` \| `uswn` \| `den` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region - `uswn`: US West Region - `den`: Germany Region | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-100 (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 20-100 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/export/config' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Object | - | Response result | | `result.pageSize` | Integer | - | Number of items per page | | `result.currentPage` | Integer | - | Current page number | | `result.totalPage` | Integer | - | Total page number | | `result.totalCount` | Integer | - | Total item count | | `result.isPaged` | Boolean | - | Whether additional pages exist - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `result.exportConfigInfo` | Array | - | Automatic export settings history: [exportConfigInfo](/docs/en/analytics-cloudloganalytics-getexportconfigs#exportConfigInfo) | ### `exportConfigInfo` The following describes `exportConfigInfo`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `startymdt` | String | - | Automatic export settings date and time | | `exportStatus` | Integer | - | Automatic export settings status | | `regionNo` | Integer | - | Region number | | `exportBucket` | String | - | Object Storage's bucket name | | `logTypes` | String | - | Automatic export log type | | `obsPathType` | String | - | Automatic export storage path | ### Response status codes For information about the HTTP status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": { "pageSize": 10, "currentPage": 1, "totalPage": 1, "totalCount": 1, "isPaged": true, "exportConfigInfo": [ { "startYmdt": "2025-08-01 18:58:07", "exportStatus": 1, "regionNo": "1", "exportBucket": "catalog", "logTypes": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "obsPathType": "3" } ] } } ```